nn.pp.audiocore

## Interface AudioEventListener

- All Known Implementing Classes:
    AudioAdapter

      public interface AudioEventListener

  Event handlers for audio events
  See Also:
    `AudioCore.addAudioEventListener(AudioEventListener)`, `AudioCore.removeAudioEventListener(AudioEventListener)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AudioEventListener.DeviceState` Enumeration for audio device states

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `audioConnected()` The session is successfully connected
    `void` | `audioDisconnectedByUser()` The session has been disconnected by the user
    `void` | `captureAudioFormatChanged(AudioFormat format)` The audio format of the capture device has changed.
    `void` | `captureDeviceStateChanged(AudioEventListener.DeviceState state)` The device state of the capture device has changed.
    `void` | `captureMutedChanged(boolean muted)` The "muted" state in the client has changed.
    `void` | `disconnected(java.lang.Exception e)` The session has been disconnected.
    `void` | `playbackAudioFormatChanged(AudioFormat format)` The audio format of the playback device has changed.
    `void` | `playbackDeviceStateChanged(AudioEventListener.DeviceState state)` The device state of the playback device has changed.
    `void` | `playbackMutedChanged(boolean muted)` The "muted" state in the client has changed.

- - ### Method Detail

    - #### audioConnected

          void audioConnected()

      The session is successfully connected

    - #### audioDisconnectedByUser

          void audioDisconnectedByUser()

      The session has been disconnected by the user

    - #### disconnected

          void disconnected(java.lang.Exception e)

      The session has been disconnected.
      Parameters:
        `e` - An `Exception` that caused the session to terminate. This might be null if the session termination was not caused by an `Exception`.

    - #### playbackDeviceStateChanged

          void playbackDeviceStateChanged(AudioEventListener.DeviceState state)

      The device state of the playback device has changed.

      The KX reports the state of the audio device via this event handler. Audio devices may be muted and un-muted on the target.

      Note that the device always starts as muted.

      Parameters:
        `state` - the state of the playback device
      See Also:
        `AudioCore.getPlaybackDeviceState()`

    - #### captureDeviceStateChanged

          void captureDeviceStateChanged(AudioEventListener.DeviceState state)

      The device state of the capture device has changed.

      The KX reports the state of the audio device via this event handler. Audio devices may be muted and un-muted on the target.

      Note that the device always starts as muted.

      Parameters:
        `state` - the state of the capture device
      See Also:
        `AudioCore.getCaptureDeviceState()`

    - #### playbackAudioFormatChanged

          void playbackAudioFormatChanged(AudioFormat format)

      The audio format of the playback device has changed.

      The actual audio format may be different than the requested format upon connection.

      Parameters:
        `format` - The new audio format of the playback device
      See Also:
        `AudioCore.getPlaybackAudioFormat()`

    - #### captureAudioFormatChanged

          void captureAudioFormatChanged(AudioFormat format)

      The audio format of the capture device has changed.

      The actual audio format may be different than the requested format upon connection.

      Parameters:
        `format` - The new audio format of the capture device
      See Also:
        `AudioCore.getCaptureAudioFormat()`

    - #### playbackMutedChanged

          void playbackMutedChanged(boolean muted)

      The "muted" state in the client has changed.

      Note: This "muted" state is handled in the client only. It overrides the "muted" state sent by the KX device.

      Parameters:
        `muted` - The new muted state (client only)

    - #### captureMutedChanged

          void captureMutedChanged(boolean muted)

      The "muted" state in the client has changed.

      Note: This "muted" state is handled in the client only. It overrides the "muted" state sent by the KX device.

      Parameters:
        `muted` - The new muted state (client only)

Copyright © 2025 Raritan Inc. All Rights Reserved.